package com.hxstrive.spring_security;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * 入口类
 * @author hxstrive.com
 */
@Controller
@SpringBootApplication
@EnableWebSecurity
@MapperScan(basePackages = {"com.hxstrive.spring_security.mapper"})
public class SpringSecurityDemo6Application {

	public static void main(String[] args) {
		SpringApplication.run(SpringSecurityDemo6Application.class, args);
	}

	@RequestMapping("/success")
	public String success() {
		return "success";
	}

}
