package com.hxstrive.spring_security.mapper;

import com.hxstrive.spring_security.model.RoleMenuModel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 角色菜单Mapper
 * @author hxstrive.com
 */
@Mapper
public interface RoleMenuMapper {

    @Select("select mid,rid from role_menu where rid=#{roleId}")
    List<RoleMenuModel> getByRoleId(@Param("roleId") int roleId);

}
