package com.hxstrive.spring_security.service;

import com.hxstrive.spring_security.model.RoleMenuModel;
import java.util.List;

/**
 * 角色菜单服务
 * @author hxstrive.com
 */
public interface RoleMenuService {

    /**
     * 获取指定角色绑定的菜单ID信息
     * @param roleId 角色ID
     * @return RoleMenuModel列表
     */
    List<RoleMenuModel> getByRoleId(int roleId);

}
