package com.hxstrive.spring_security.service;

import com.hxstrive.spring_security.model.RoleUserModel;
import java.util.List;

/**
 * 角色用户服务
 * @author hxstrive.com
 */
public interface RoleUserService {

    /**
     * 获取指定角色绑定的用户信息
     * @param roleId 角色ID
     * @return RoleUserModel列表
     */
    List<RoleUserModel> getByRoleId(int roleId);

}
