package com.hxstrive.spring_security.mapper;

import com.hxstrive.spring_security.model.RoleUserModel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 角色用户Mapper
 * @author hxstrive.com
 */
@Mapper
public interface RoleUserMapper {

    @Select("select uid, rid from role_user where rid=#{roleId}")
    List<RoleUserModel> getByRoleId(@Param("roleId") int roleId);

}
