package com.hxstrive.spring_security.service;

import com.hxstrive.spring_security.model.MenuModel;
import java.util.List;

/**
 * 菜单服务
 * @author hxstrive.com
 */
public interface MenuService {

    /**
     * 获取多个ID的菜单信息
     * @param ids 菜单ID列表
     * @return 菜单对象列表
     */
    List<MenuModel> getByIds(int...ids);

}
