package com.hxstrive.spring_security.service.impl;

import com.hxstrive.spring_security.mapper.MenuMapper;
import com.hxstrive.spring_security.model.MenuModel;
import com.hxstrive.spring_security.service.MenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * 菜单服务实现
 * @author hxstrive.com
 */
@Service
public class MenuServiceImpl implements MenuService {
    @Autowired
    private MenuMapper menuMapper;

    @Override
    public List<MenuModel> getByIds(int... ids) {
        if(Objects.isNull(ids) || ids.length == 0) {
            return new ArrayList<>();
        }

        return menuMapper.getByIds(ids);
    }

}
