package com.hxstrive.spring_security.service.impl;

import com.hxstrive.spring_security.mapper.RoleMenuMapper;
import com.hxstrive.spring_security.model.RoleMenuModel;
import com.hxstrive.spring_security.service.RoleMenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 角色菜单服务实现
 * @author hxstrive.com
 */
@Service
public class RoleMenuServiceImpl implements RoleMenuService {

    @Autowired
    private RoleMenuMapper roleMenuMapper;

    @Override
    public List<RoleMenuModel> getByRoleId(int roleId) {
        return roleMenuMapper.getByRoleId(roleId);
    }

}
