package com.hxstrive.spring_security.service.impl;

import com.hxstrive.spring_security.mapper.RoleUserMapper;
import com.hxstrive.spring_security.model.RoleUserModel;
import com.hxstrive.spring_security.service.RoleUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 角色用户服务实现
 * @author hxstrive.com
 */
@Service
public class RoleUserServiceImpl implements RoleUserService {
    @Autowired
    private RoleUserMapper roleUserMapper;

    @Override
    public List<RoleUserModel> getByRoleId(int roleId) {
        return roleUserMapper.getByRoleId(roleId);
    }

}
