package com.hxstrive.spring_security.service.impl;

import com.hxstrive.spring_security.mapper.UserMapper;
import com.hxstrive.spring_security.model.UserModel;
import com.hxstrive.spring_security.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 用户服务实现
 * @author hxstrive.com
 */
@Service
public class UserServiceImpl implements UserService {
    @Autowired
    private UserMapper userMapper;

    @Override
    public UserModel getByCount(String username) {
        return userMapper.getByCount(username);
    }

}
